from github_manager import GitHubConnection
from workflow_manager import Workflow
import os


class ScanManager:
    def __init__(self, repo_name="SED/ESG-ProdSec-Scanner", branch="main"):
        self.repo_name = repo_name
        self.branch = branch

    def initiate_scan(self, workflow_file, custom_id, inputs):
        connection = GitHubConnection()
        github = connection.connect()
        workflow = Workflow(github, self.repo_name, workflow_file, self.branch)

        workflow.start_process(custom_id, inputs)
